local GOSSIP_TEXT = "I'd like to heal and revive my battle pets."
local CONFIRM_TEXT = "A small fee for supplies is required."

if GetLocale() == "deDE" then
	GOSSIP_TEXT = "Ich würde gern meine Kampfhaustiere heilen und wiederbeleben."
	CONFIRM_TEXT = "Es wird eine kleine Gebühr für die medizinische Hilfe erhoben."
end

local f = CreateFrame("Frame")
f:RegisterEvent(select(2, UnitClass("player")) == "HUNTER" and "GOSSIP_CONFIRM" or "GOSSIP_SHOW")
f:SetScript("OnEvent", function(self, event, _, message, cost)
	if IsShiftKeyDown() then return end

	if event == "GOSSIP_SHOW" then
		for i = 1, GetNumGossipOptions() do
			local gossipText, gossipType = select(i * 2 - 1, GetGossipOptions())
			if gossipText == GOSSIP_TEXT then
				return SelectGossipOption(i, "", true)
			end
		end
	elseif message == CONFIRM_TEXT and cost == 1000 then
		local dialog = StaticPopup_FindVisible("GOSSIP_CONFIRM")
		if dialog then
			StaticPopup_OnClick(dialog, 1)
		end
	end
end)
